#if !defined(SYSTEM_MESSAGE_H_INCLUDED_)
#define SYSTEM_MESSAGE_H_INCLUDED_

#define KEYBOARD_RAW_DATA 1
#define MOUSE_RAW_DATA    2

namespace system
{
    /* bZ[W */
    class Message
    {
    public:
        int type;   /* bZ[W */
        int from;   /* M */
        int arg1;   /* (1) */
        int arg2;   /* (2) */
        int arg3;   /* (3) */
        int len;    /* f[^̒ */
        byte* data; /* ϒf[^ */

    public:
        Message();
        virtual ~Message();
        static Message* create(int type, int arg1, int arg2, int arg3, int len, byte* data);
        static void send(int to, Message* msg);
    };
}

#endif
